> For the complete documentation index, see [llms.txt](https://docs.saas.haut.ai/haut.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.saas.haut.ai/haut.ai/administration/login-and-authentication/set-up-oidc-sso.md).

# Set up OIDC SSO

Single Sign On (SSO) allows users to log in to many applications or websites using an identity provider.

{% hint style="warning" %}
Available only on the Enterprise plan
{% endhint %}

## What is OIDC?

[OIDC (OpenID Connect)](https://openid.net/developers/how-connect-works/) is an open protocol that allows applications to verify users' identities using third-party identifiers. It builds on the [Open Authorization (OAuth) framework](https://oauth.net/2/), which lets applications access user account information without requiring their credentials.

When your company configures OIDC SSO in Haut.AI SaaS, all users added to your Haut.AI account get the ability to log in using the organization's identity provider.

***

## How OIDC SSO works

1. The registered user attempts to log in to Haut.AI via OIDC SSO using their email.

{% hint style="info" %}
If users have no account, they should first register in SaaS with a new company or be added to the existing company. If you need help with adding users, please, reach out to your Account Manager.
{% endhint %}

2. Haut.AI sends a request to the identity provider.
3. The identity provider checks this user's credentials.
4. The identity provider sends a response to Haut.AI to verify the user's identity.
5. Haut.AI accepts the response and logs the user into their Haut.AI account.

***

## How to set up SSO

{% hint style="warning" %}
OIDC SSO currently can be configured only by the Haut.AI tech team.
{% endhint %}

1. To set up SSO, you need to provide Haut.AI team with the following information (your Security or IT team could provide this information):
   1. Client ID.
   2. Client Secret.
   3. Key to use as user email in OIDC response.
   4. OIDC endpoint URL.
2. Once you collected the necessary information, contact your personal account manager and share with them the collected information.
3. Ask your Security or IT team to add to your OIDC settings the following authorized redirect URIs:
   1. <https://saas.haut.ai/app/auth/restore-session/>
   2. [https://saas.haut.ai/api/v1/auth/sso/callback/](https://saas.haut.ai/app/sso-restore-session/https://saas.haut.ai/api/v1/auth/sso/callback/)

***

{% hint style="warning" %}
Not a Haut.AI client yet?
{% endhint %}

<a href="https://haut.ai/book-a-demo?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button primary" data-icon="user-vneck">Book a demo</a> <a href="https://haut.ai/product/ai-skin-analysis?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button secondary" data-icon="external-link">Platform overview on haut.ai</a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.saas.haut.ai/haut.ai/administration/login-and-authentication/set-up-oidc-sso.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
